*This do-file replicates all the figures in the paper "Why Has U.S. Policy Uncertainty Risen Since 1960?" by Baker, Bloom, Canes-Wrone, Davis and Rodden
*It also replicates the files in some of the figures in the AEA presentation included in this zip-file

set more on
u figure1,clear
keep if year>=1950
egen mnews=mean(news)
gen norm_news=100*news/mnews
egen mreg=mean(regulation)
gen norm_reg=100*reg/mreg
lab var gov "Government share of GDP"
lab var norm_news "Policy uncertainty"
lab var norm_reg "Pages of regulation"
lab var sd_dshare "SD of district pres. vote"
lab var diff_std "Polarization of roll-calls"
lab var seediff "Voter perception of party diff"

*******************************************
*PAPER
*******************************************
*Figure 1
twoway  (scatter norm_news norm_reg   year,yaxis(1) c(l l) lp(solid "-._") ms(s t) lw(medthick medthick)  graphregion(color(white))) (scatter gov year,yaxis(2) ms(+) c(l) lw(medthick) lp("-._")), xlab(1950(10)2010)

*Figure 2
twoway (scatter norm_news year,yaxis(2) ms(s) c(l) lw(medthick))  (scatter diff_std sd_dshare seediff year,yaxis(1) c(l l l) lp("-._" "-._" "-._") ms(t +) lw(medthick medthick medthick) graphregion(color(white))), xlab(1950(10)2010)


*******************************************
*SLIDES
*******************************************
lab var year " "
*Slide 1
scatter news year, c(l) lw(medthick) graphregion(color(white)) xlab(1950(10)2010)

*Slide 2
twoway (scatter norm_news year, c(l) lw(medthick))  (scatter gov  year,yaxis(2) c(l l) lp(solid "-._") ms(t p) lw(medthick medthick)  graphregion(color(white))), xlab(1950(10)2010) legend(off)

*Slide 3
lab var regulation "Pages of the Federal Register"
twoway (scatter norm_news year, c(l) lw(medthick))  (scatter reg  year,yaxis(2) c(l l) lp(solid "-._") ms(x p) lw(medthick medthick) lc(green) mc(green) graphregion(color(white))), xlab(1950(10)2010) legend(off)

*Slide 4
scatter diff_std year, c(l) lw(medthick) graphregion(color(white)) xlab(1950(10)2010)
